Shops

Search a shop's products

GET
/api/shops/{slug}/products

Products whose name, description, category or tags contain every word of query.

Path Parameters

slug*string

The shop, e.g. maya-ceramics

Lengthlength <= 80

Query Parameters

query?string

Words to match, e.g. "green mug". Leave out to list everything.

Lengthlength <= 200
max_price?string

Highest price per item in the shop's currency, e.g. "40.00" or "$40". No more decimals than the currency has.

Lengthlength <= 20
in_stock_only?boolean

Leave out sold-out variants (made-to-order ones always stay). "true" or "1".

Defaultfalse

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/shops/string/products"
{  "shop": {    "slug": "string",    "name": "string",    "currency": "string",    "ships_from": "string",    "status": "draft"  },  "products": [    {      "id": "string",      "name": "string",      "description": "string",      "category": "string",      "variants": [        {          "variant_id": "string",          "title": "string",          "price": "string",          "in_stock": 0        }      ]    }  ],  "shipping": [    {      "name": "string",      "to": "string",      "price": "string",      "days": "3-5"    }  ],  "returns": "30 days"}